Skip to content

Reassign the reviews

Request

OAuth 2.0 scope:
  • okta.governance.accessCertifications.manage
Admin roles:
  • ACCESS_CERTIFICATIONS_ADMIN

Reassigns a review to another reviewer.

Reassigning a review is useful in cases where the currently assigned reviewer is not able to make a decision before the campaign ends.

Only reviews belonging to campaigns with a status of READY can be reassigned. And only those reviews with decision UNREVIEWED can be reassigned.

If reviews are currently being reviewed by a group (when reviewerType is GROUP or RESOURCE_OWNER), on reassignment, reviews is directly assigned to the chosen new reviewer and reviewerType is changed to USER.

A valid reassignment changes an existing reviewer to a new reviewer (userId), and appends the change to the reassignment history.

To reassign a set of reviews, you must specify:

  • the Okta user.id of the new reviewer

  • a list of reviewIds to be re-assigned

  • The reviewerLevel at which the reviews needs to be re-assigned (Applicable only for multi level campaigns)

  • a note justifying the reassignment decision for the specified reviews

Path
campaignIdstringrequired

Unique identifier for the campaign

Bodyapplication/jsonrequired

The operation payload for reviews reassignment

reviewerIdstring, non-emptyrequired

The Okta user id of the new reviewer

reviewIdsArray of strings, [ 1 .. 50 ] itemsrequired

A list of reviews (review id values) that are reassigned to the new reviewer.

reviewerLevelstring(reviewer-level-type)

Applicable only for multi level campaigns. The reviewer level at which the reviews should be reassigned.

Enum:"FIRST""SECOND"
notestring, [ 1 .. 300 ] charactersrequired

A note to justify the reassignment decision for the specified review(s).

POST
/governance/api/v1/campaigns/{campaignId}/reviews/reassign
curl -i -X POST \
  'https://subdomain.okta.com/governance/api/v1/campaigns/{campaignId}/reviews/reassign' \
  -H 'Content-Type: application/json' \
  -d '{
    "reviewerId": "00u31c7qMRUfrhdew0g4",
    "reviewIds": [
      "icrhdk4Lwhd2bBRQe0g2",
      "icrhew4DFTxygUUgE0g2",
      "icrhfvRCfGCHk3y2h0g2"
    ],
    "note": "John Smith is on leave for this month. His manager Tim will be the reviewer instead."
  }'

Responses

A successful reassign reviews response

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
dataArray of objects(review-sparse)required

All the reviews that were reassigned

Response
The list of reviews that are reassigned.
{ "data": [ {}, {}, {} ], "_links": { "reviews": {}, "self": {} } }